curl --request POST \
--url https://api.sippet.ai/api/ai_agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"name": "<string>",
"languages": [
"<string>"
],
"published": true,
"safety_guardrails": "<string>",
"system_prompt": "<string>",
"tone": "<string>",
"voice": "<string>",
"workflow": {}
},
"relationships": {},
"type": "AiAgent"
}
}
'{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"languages": [
"<string>"
],
"name": "<string>",
"published": true,
"workflow": {},
"safety_guardrails": "<string>",
"system_prompt": "<string>",
"tone": "<string>",
"voice": "<string>"
},
"relationships": {
"organisation": {
"data": {
"id": "<string>",
"type": "<string>",
"meta": {}
}
}
}
},
"included": [
"<unknown>"
],
"meta": {}
}/ai_agents operation on AiAgent resource
curl --request POST \
--url https://api.sippet.ai/api/ai_agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"name": "<string>",
"languages": [
"<string>"
],
"published": true,
"safety_guardrails": "<string>",
"system_prompt": "<string>",
"tone": "<string>",
"voice": "<string>",
"workflow": {}
},
"relationships": {},
"type": "AiAgent"
}
}
'{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"languages": [
"<string>"
],
"name": "<string>",
"published": true,
"workflow": {},
"safety_guardrails": "<string>",
"system_prompt": "<string>",
"tone": "<string>",
"voice": "<string>"
},
"relationships": {
"organisation": {
"data": {
"id": "<string>",
"type": "<string>",
"meta": {}
}
}
}
},
"included": [
"<unknown>"
],
"meta": {}
}JWT for bearer authentication
Relationship paths to include in the response
^()(,())*$Limits the response fields to only those listed for each type
Show child attributes
{
"AiAgent": "id,name,voice,tone,languages,workflow,system_prompt,safety_guardrails,published"
}Request body for the /ai_agents operation on AiAgent resource
Show child attributes
Was this page helpful?